"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HubtypeBabelApiService = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
class HubtypeBabelApiService {
    constructor(projectId) {
        this.projectId = projectId;
        this.HOST = 'https://api.hubtype.com';
    }
    async inference(text, accessToken) {
        return await axios_1.default({
            method: 'POST',
            url: `${this.HOST}/v1/babel/projects/${this.projectId}/inference/`,
            headers: {
                Authorization: `Bearer ${accessToken}`,
                'Content-Type': 'application/json',
            },
            data: { text },
        });
    }
}
exports.HubtypeBabelApiService = HubtypeBabelApiService;
//# sourceMappingURL=hubtype-babel-api-service.js.map