"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@botonic/core");
const hubtype_babel_api_service_1 = require("./hubtype-babel-api-service");
class BotonicPluginHubtypeBabel {
    constructor(options) {
        this.options = options;
        this.apiService = new hubtype_babel_api_service_1.HubtypeBabelApiService(options.projectId);
    }
    async pre(request) {
        try {
            if (request.input.type == core_1.INPUT.TEXT &&
                !request.input.payload &&
                request.input.data) {
                const sessionAuthToken = request.session
                    ._access_token;
                const authToken = this.options.authToken || sessionAuthToken;
                if (!authToken) {
                    if (!sessionAuthToken) {
                        console.warn('You might be using development environment. Remember that when testing locally, adding the authToken inside plugin options is mandatory.');
                    }
                    throw new Error('Missing Authorization Token.');
                }
                const text = request.input.data;
                const response = await this.apiService.inference(text, authToken);
                request.input.intent = response.data['label'];
                request.input.confidence = response.data['score'];
            }
        }
        catch (e) {
            console.error('Error during inference with Hubtype Babel', e);
        }
    }
    async post(_request) { }
}
exports.default = BotonicPluginHubtypeBabel;
//# sourceMappingURL=index.js.map